### Method

# WebKit UserContentManager unregister_script_message_handler

#### Declaration [src]

    void
    webkit_user_content_manager_unregister_script_message_handler (
      WebKitUserContentManager* manager,
      const gchar* name,
      const gchar* world_name
    )

#### Description [src]

Unregisters a previously registered message handler in script world with name `world_name`. If `NULL` is passed as the `world_name`, the default world will be used.

Note that this does not disconnect handlers for the `WebKitUserContentManager::script-message-received` signal; they will be kept connected, but the signal will not be emitted unless the handler name is registered again.

See also webkit_user_content_manager_register_script_message_handler().

Available since: | 2.40

#### Parameters

`name` | `const gchar*`
| Name of the script message channel.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`world_name` | `const gchar*`
| The name of a `WebKitScriptWorld`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.